Bug 17417 - Correct invalid markup around news on the staff client home page
Summary: Correct invalid markup around news on the staff client home page
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-10 12:15 UTC by Owen Leonard
Modified: 2016-11-08 09:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17417 - Correct invalid markup around news on the staff client home page (2.22 KB, patch)
2016-10-10 12:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17417 - Correct invalid markup around news on the staff client home page (2.21 KB, patch)
2016-10-10 19:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17417 [Revised] Correct invalid markup around news on the staff client home page (2.61 KB, patch)
2016-10-14 15:00 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17417 [Revised] Correct invalid markup around news on the staff client home page (2.64 KB, patch)
2016-10-24 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-10-10 12:15:05 UTC
There are a couple of HTML validation errors in the area of the staff client home page template related to displaying news.
Comment 1 Owen Leonard 2016-10-10 12:17:54 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-10-10 19:03:24 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-10-14 15:00:05 UTC
Created attachment 56552 [details] [review]
Bug 17417 [Revised] Correct invalid markup around news on the staff client home page

This patch fixes two minor errors in the markup around displaying news
on the staff client home page: Adding a missing "class" attribute, and
changing the container around news items from <p> to <div> (because news
items might contain <p> and nesting them is incorrect).

To test, apply the patch and view the staff client home page with news
items showing. Validate the page and confirm that there are no errors.

Signed-off-by: Marc <veron@veron.ch>

Revision for QA removes an extra </div> from elsewhere in the template
to make the validator return no errors.
Comment 4 Katrin Fischer 2016-10-24 11:58:58 UTC
Created attachment 56745 [details] [review]
[PASSED QA] Bug 17417 [Revised] Correct invalid markup around news on the staff client home page

This patch fixes two minor errors in the markup around displaying news
on the staff client home page: Adding a missing "class" attribute, and
changing the container around news items from <p> to <div> (because news
items might contain <p> and nesting them is incorrect).

To test, apply the patch and view the staff client home page with news
items showing. Validate the page and confirm that there are no errors.

Signed-off-by: Marc <veron@veron.ch>

Revision for QA removes an extra </div> from elsewhere in the template
to make the validator return no errors.

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-10-28 11:46:00 UTC
Pushed to master for 16.11, thanks Owen!
Comment 6 Frédéric Demians 2016-11-02 18:19:03 UTC
Pushed in 16.05. Will be in 16.05.06.
Comment 7 Julian Maurice 2016-11-08 09:28:33 UTC
Pushed to 3.22.x, will be in 3.22.13